# AntMessagePriority

enum AntMessagePriority

Represents the normal Ant message priorities.

## Entries

DEBUG
Link copied to clipboard
DEBUG
VERBOSE
Link copied to clipboard
VERBOSE
INFO
Link copied to clipboard
INFO
WARN
Link copied to clipboard
WARN
ERROR
Link copied to clipboard
ERROR

## Functions

from
Link copied to clipboard
open fun from(messagePriority: Int): AntBuilder.AntMessagePriority
valueOf
Link copied to clipboard
open fun valueOf(name: String): AntBuilder.AntMessagePriority

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<AntBuilder.AntMessagePriority>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.